/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_RADIOBROWSEUPDATEDLG_H__0765C6EE_5BCE_4A91_8490_DE976B3B78BF__INCLUDED_)
#define AFX_RADIOBROWSEUPDATEDLG_H__0765C6EE_5BCE_4A91_8490_DE976B3B78BF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RadioBrowseUpdateDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRadioBrowseUpdateDlg dialog

class CRadioBrowseUpdateDlg : public CDialog
{
// Construction
public:
	CRadioBrowseUpdateDlg(CWnd* pParent = NULL);   // standard constructor


// Dialog Data
	//{{AFX_DATA(CRadioBrowseUpdateDlg)
	enum { IDD = IDD_RB_UPDATE_DLG };
	CButton	m_ctrlUpdateBtn;
	CButton	m_ctrlCanceBtn;
	CButton	m_ctrlOkBtn;
	CEdit	m_ctrlStatusEdit;
	CProgressCtrl	m_ctrlProgress;
	CString	m_strStatus;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRadioBrowseUpdateDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRadioBrowseUpdateDlg)
	afx_msg void OnUpdateRadioBrowse();
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	afx_msg LRESULT OnProgressMax (WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_PROGRESS_MAX
	afx_msg LRESULT OnProgressPos (WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_PROGRESS_POS
	afx_msg LRESULT OnStatusString (WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_STATUS_STRING
	afx_msg LRESULT OnUpdateDone (WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_DONE


/*from khan	
	afx_msg LRESULT OnStatusString (WPARAM wParam, LPARAM lParam);	// WM_USER_STATUS_STRING
	afx_msg LRESULT OnProgressMax (WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_PROGRESS_MAX
	afx_msg LRESULT OnProgressPos (WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_PROGRESS_POS
	afx_msg LRESULT OnUpdateFinished(WPARAM wParam, LPARAM lParam);	// WM_USER_THREAD_FINISHED
	afx_msg LRESULT OnKBps(WPARAM wParam, LPARAM lParam);			// WM_USER_KBPS
*/
	DECLARE_MESSAGE_MAP()

public:
	// Initialized in CDsLavDoc::OnToolsUpdateRb().
	CDsLavDoc * m_pDoc;
	CString	m_strSever;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RADIOBROWSEUPDATEDLG_H__0765C6EE_5BCE_4A91_8490_DE976B3B78BF__INCLUDED_)
